;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                               ;
;     The solution to Zork I: The Great Underground Empire      ;
;                                                               ;
; NOTE: These are NOT hints, but a step-by-step account of how  ;
;                       to solve Zork I.                        ;
;                                                               ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



    You  begin Zork I near a mailbox; the leaflet inside contains 
an amusing but  irrelevant  message.  There  are  lots  of  these
irrelevancies  all  of the way through Zork I - I will point some 
of them out as we go, but  there  really  is  no  substitute  for
actually  playing  the  game. Do not just use this solution to go
through Zork I step-by-step; Zork is much more enjoyable when you 
battle through  it  on  your  own.  However,  having  said  that,
sometimes  you  really  need a direct solution to a problem which
totally stumps you - then, refer to this file, but only as a last
resort!  

    Before starting, I personally recommend  that  you  save  the
game  every  time  your  points increase, and additionally when I 
indicate. There are a few random events  that  can  occur  during
Zork,  such  as  meeting up with the Thief or being killed by the 
Troll. If these happen to you, you can simply restore  from  your
last position and try again.

    From the mailbox, go [N,N,U]. (Note that  commands  that  you
type  to  Zork are contained within square brackets.) You are now
Up a Tree.

[GET THE EGG]
*** Your score has increased to 5 points! ***

[D,S,E]
You are Behind the House.

[OPEN WINDOW, IN]
*** Your score has increased to 15 points! ***

[W,OPEN CASE,PUT EGG IN CASE]
*** Your score has increased to 20 points! *** 

    We will open the egg later on - for now, it can be stored  in
the trophy case.

[GET LAMP,MOVE RUG,OPEN TRAPDOOR,D,TURN ON LAMP]
*** Your score has increased to 45 points! ***

    You  have  entered  the  Underground  Empire of Zork! Now, we 
start collecting the treasures. First, let's get the  easiest  of
the lot, the Painting.

[S,E,GET PAINTING]
*** Your score has increased to 49 points! ***

    Now,  let's  store  it  in  the trophy case - note that after 
virtually every treasure, we return to deposit it in  the  trophy
case. This is not strictly necessary, but it does prevent us from
carrying  too  much  and also saves us from suffering too much at
the hands of the Thief.

[N,U,W,PUT PAINTING IN CASE]
*** Your score has increased to 55 points! ***

    Now, we must get a little vicious!

[GET SWORD,OPEN TRAPDOOR,D,N] 

    We  are  confronted  with  a  nasty-looking  Troll.  I  would
recommend that you save the game at this point, because the Troll
can  kill  you.  To kill the troll, type [KILL TROLL] until he is 
dead. This may take between 1  and  6  attempts.  (Remember  that
typing  [G]  (for Again) will save you from most of that typing.)
After the Troll has been killed, we can continue in our quest for
treasure.

[DROP SWORD,E]
*** Your score has increased to 60 points! ***

    The first treasure to get is the Platinum Bar.

[E,E,ECHO,GET BAR]
*** Your score has increased to 70 points! ***

    Back to the trophy case...

[W,W,W,S,S,E,N,U,W,PUT BAR IN CASE]
*** Your score has increased to 75 points! *** 

    The next treasure to get is the Coffin - we can also  set  up
the  exorcism  at  the same time, relieving us of having to climb 
the chimney to return to the House. As a further  bonus,  we  can
get a Torch (also a treasure) to save our lamp from wearing out.

[E,U,GET ROPE,D,W,OPEN TRAPDOOR,D,N,E,E,SE,E]

    We  have a problem - how do we get down the precipitous drop?
Simple, use the rope.

[TIE ROPE TO RAILING,D,GET TORCH]
*** Your score has increased to 89 points! ***

    Now that we have the Torch, we can save the Brass Lantern for
later.

[TURN OFF LAMP,D,DROP LAMP,E,GET COFFIN]
*** Your score has increased to 99 points! ***

    But how do we get the coffin back to the trophy case?

[W,S,PRAY]

    ZAP!  Back to the forest. Now to put the coffin in the trophy
case.

[E,S,E,IN,W] 

    Just before storing the coffin, there is another treasure  we
can get out of the coffin.

[OPEN COFFIN,GET SCEPTRE]
*** Your score has increased to 103 points! ***

[PUT SCEPTRE IN CASE]
*** Your score has increased to 109 points! ***

[PUT COFFIN IN CASE]
*** Your score has increased to 124 points! ***

    OK, now to perform the exorcism, which will stop the trapdoor
closing  on  us  every time we descend into the caves. We need to 
get some more items from the Temple area, and we also  need  some
matches.

[OPEN TRAPDOOR,D,N,E,E,E,U,E,N,GET MATCHBOOK]

    Now  we  have  the  matches, we need to collect all the other
items.

[S,S,D,W,SE,E,D,S] 

    We are now in the Temple - retrieve the  lantern  for  future
use and grab everything else for the exorcism.

[GET ALL,S,GET ALL]

    The black book is very important; it tells us the sequence of
events needed for the exorcism.

[READ BOOK,FLIP PAGE]

    Interesting...

[D,D]

    We are at the Entrance to Hades, spooky ain't it!

[OPEN MATCHBOOK]

    (So we don't lose a move later on doing this. Some versions
of Zork I may not need this command.)

[RING  BELL,GET CANDLES,LIGHT MATCH,LIGHT CANDLES WITH MATCH,READ
PRAYER]

    Wow!

[S,GET SKULL]
*** Your score has increased to 134 points! ***

    10  points for that treasure is fair enough - look at all the 
work we had to do to get it! Back we go to put it in  the  trophy
case.

[N,U,W,N,N,N,W,W,S,U,PUT SKULL IN CASE]
*** Your score has increased to 144 points! ***

    Did you notice that the trapdoor wasn't barred? Next, we must
open up a whole new pathway by draining Flood Control Dam #3.

[E,DROP ALL BUT TORCH]

    No need to carry excess baggage along!

[W,D,N,E,E,E,U,E,N,N] 

    We are in the Maintenance  Room  -  this  room  controls  the
operation of the dam's control panel.

[GET WRENCH AND SCREWDRIVER,PUSH YELLOW BUTTON]

    Don't  push the Blue button! That would flood the Maintenance
Room. Pushing the Yellow button unlocks the control panel.

[S,S,TURN BOLT WITH WRENCH,W]

    Now we must wait for the water level to drop. [WAIT] until
Zork tells you that it is safe to go on.

[N,GET TRUNK]
*** Your score has increased to 159 points! *** 

    Another treasure is very  close  by  -  let's  save  time  by
getting it now.

[N,GET PUMP,N,GET TRIDENT]
*** Your score has increased to 163 points! ***

[U,N,N,W,D]

    Whee!!! Here's a quick way of getting back to the House.

[U,PUT TRUNK IN CASE]
*** Your score has increased to 168 points! ***

[PUT TRIDENT IN CASE]
*** Your score has increased to 179 points! ***

    Next,  we  set  up  a  very  difficult  puzzle and grab a few
treasures while we're at it.

[E,DROP PUMP AND WRENCH]

    We won't need the pump for a while.

[GET SACK,OPEN SACK,GET GARLIC,DROP SACK]

    We WILL need the garlic, however.

[W,D,N,E,D,NE,N,N,N,U,N,N,W,N,W,N,DROP GARLIC]

    That will keep the bat occupied for a while.

[GET FIGURINE]
*** Your score has increased to 184 points! *** 

    Let's return  the  figurine  to  the  trophy  case  for  safe
storage.

[S,E,S,D,U,PUT FIGURINE IN CASE]
*** Your score has increased to 189 points! ***

    Now  for  one  of  the  most  complex  puzzles  in  the whole
adventure (if not the hardest).

[E,GET LANTERN,W,D,N,E,D,NE,N,N,N,U,N,N,W,N,W,N]

    (We are now back in the Bat Room.)

[E,PUT TORCH AND SCREWDRIVER IN BASKET,TURN ON LAMP]

    We will meet these objects later on...

[N,D,GET BRACELET]
*** Your score has increased to 194 points! ***

    OK, lets return this to the trophy case for safe-keeping.

[U,S,W,S,E,S,D,U,PUT BRACELET IN CASE]
*** Your score has increased to 199 points! ***

    Back to the basket for this really complex puzzle.

[D,N,E,N,NE,N,N,N,U,N,N,W,N,W,N,E,N,D,E,NE,SE,SW,D,D,S]

    We need the coal to run a particular machine.

[GET COAL,N,U,U,N,E,S,N,U,S,PUT COAL IN BASKET,LOWER BASKET]

    Now lets go and find the coal!

[N,D,E,NE,SE,SW,D,D,W,DROP ALL,W,GET ALL FROM BASKET]
*** Your score has increased to 212 points! ***

[S,OPEN LID,PUT COAL IN MACHINE, CLOSE LID]

    Even turning on the machine is complicated.

[TURN SWITCH WITH SCREWDRIVER,OPEN LID,GET DIAMOND]
*** Your score has increased to 222 points! ***

[N,PUT ALL IN BASKET,E,GET LAMP,E,U,U,N,E,S,N,U,S]

    We  are  back  at  the  basket, now let's get the treasure we
worked so hard to get.

[RAISE BASKET]

    We no longer need the lamp, so lets save the batteries.

[TURN OFF LAMP,GET TORCH AND DIAMOND,W,S,E,S,D,U]

    Back in the Living Room.

[PUT DIAMOND IN CASE]
*** Your score has increased to 232 points! *** 

    That was worth 33 points - and  we  earned  them,  too.  Now,
let's open that egg.

[E,U,GET KNIFE,D,W,GET EGG,D,N,E,E,SE,E,D,D]

    We are at the Temple. We can surprise the Thief from here.

[TEMPLE]
*** Your score has increased to 252 points! ***

[GIVE EGG TO THIEF]

    We can't open the egg, but the thief can.

[KILL THIEF WITH KNIFE]

    Repeat this for as long as it takes to kill the Thief.

[GET CHALICE]
*** Your score has increased to 262 points! ***

[GET EGG]

    Now  that  the  egg  is  open,  we  can use it to get another
treasure.

[TEMPLE,S,PRAY,E,WIND CANARY,GET BAUBLE]
*** Your score has increased to 263 points! ***

    Let's put all the stuff back in the trophy case.

[S,E,IN,W,PUT BAUBLE IN CASE]
*** Your score has increased to 264 points! ***

[PUT EGG IN CASE]
*** Your score has increased to 269 points! ***

[PUT CHALICE IN CASE]
*** Your score has increased to 274 points! *** 

    Now, we get one final treasure in the area explored so far.

[E,DROP KNIFE AND LAMP,W,D,N,W,W,W,U,GET COINS]
*** Your score has increased to 284 points! *** 

    Don't touch the skeleton!

[N,N,N,E,S,U]

    We  can  increase the points given for the egg if we take the
canary out of the egg.

[GET EGG,GET CANARY,PUT EGG IN CASE,PUT CANARY IN CASE]
*** Your score has increased to 294 points! ***

[PUT COINS IN CASE]
*** Your score has increased to 299 points! *** 

    Now for the final treasures - we will explore a new  area  of
the Empire now.

[GET SCEPTRE]

    Your  score  will  decrease,  but  that's OK - the Sceptre is 
needed to get another treasure. Also, the Thief is  dead,  so  we
can't lose the Sceptre.

[E,GET SACK,GET LUNCH,DROP LUNCH,GET PUMP]

    Now we are equipped, let's go!

[W,D,N,E,E,E,U,E,D,INFLATE PLASTIC]

    But before getting in, remember that the Sceptre is sharp.

[PUT SCEPTRE IN SACK, GET IN BOAT,LAUNCH]

    Now  we  just  sail  the  boat until the Buoy is seen. [WAIT]
until the buoy comes into view. This takes 4 to 6 waits.

[GET BUOY,E,GET OUT OF BOAT]

    OK, now let's find the first treasure.

[OPEN BUOY,GET EMERALD]
*** Your score has increased to 298 points! ***

    (Remember, it decreased when you removed the Sceptre from the
trophy case.)

[GET SHOVEL,NE]

    Now let's find the second treasure.

[DIG IN THE SAND WITH THE SHOVEL,G,G,G,GET SCARAB]
*** Your score has increased to 303 points! ***

[SW,DROP BUOY,S,S,WAVE SCEPTRE,W,W,GET GOLD]
*** Your score has increased to 313 points! ***

    Nearly there. All we have to do now is tidy up.

[SW,U,U,NW,W,W,W]

[PUT SCARAB IN CASE]
*** Your score has increased to 318 points! *** 

[PUT EMERALD IN CASE]
*** Your score has increased to 328 points! *** 

[PUT GOLD IN CASE]
*** Your score has increased to 338 points! *** 

[PUT SCEPTRE IN CASE]
*** Your score has increased to 344 points! *** 

[PUT TORCH IN CASE]
*** Your score has increased to 350 points! *** 

    And the final moves;

[GET PARCHMENT, LOOK AT PARCHMENT,E,E,N,W,SW,ENTER BARROW]


            YOU HAVE SOLVED ZORK I. CONGRATULATIONS. 


    By the way, the method of solving Zork as outlined  above  is
by  no means the most efficient. You may care to try and decrease 
the number of moves taken to solve  Zork.   A  little  hint;  map
everything - even the Maze and the Coal Mine can be mapped.

